Subject: Re: [Insipid] draft-ietf-insipid-logme-reqs

From: "Arun Arunachalam (carunach)" <[email-masked]>
Date: Mon, 22 Aug 2016 22:07:30 +0000

Hi Alberto,

Thanks for the feedback !

I think your suggestion is to carry the log-me marker across an end-to-end session instead of limiting it to per-dialog.

Adding insipid mailing list.

Thanks!
Arun

On Aug 22, 2016, at 3:26 PM, Alberto Llamas <[email-masked]<mailto:[email-masked]>> wrote:

Hello Peter and Chidambaram,

I have read your proposed RFC [https://www.ietf.org/id/draft-ietf-insipid-logme-reqs-07.txt] which I find a very good document.

I believe that in section 5 you should include a requirement for the case when a B2BUA receive a request (A leg INVITE) which contains a "Log Me" marker and this entity generate another INVITE (B leg)  regarding the first one. In this case the "Log me" marker should be preserved when the second INVITE is generated.

A common example is when Diversion exists and then we receive an INVITE back with Diversion, History-info headers..etc...then we MUST be able to treat this new call as part of debugging or regression testing.

Thanks,

--
albert